Skip to content

List Connectors

GET
/api/v1/connectors/
curl --request GET \
--url 'https://example.com/api/v1/connectors/?skip=0&limit=100'

List all connectors.

skip
Skip
integer
0
limit
Limit
integer
default: 100 >= 1 <= 1000
X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
ConnectorListResponse

Response for listing connectors.

object
connectors
required
Connectors
Array<object>
ConnectorResponse

Response for a connector.

object
id
required
Id
string
name
required
Name
string
connector_type
required
Connector Type
string
config
required
Config
object
key
additional properties
any
storage_integration
Any of:
string
stage_name
Any of:
string
pipe_name
Any of:
string
target_table
Any of:
string
status
required
Status
string
error_message
Any of:
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
created_by
required
Created By
string
total
required
Total
integer
Examplegenerated
{
"connectors": [
{
"id": "example",
"name": "example",
"connector_type": "example",
"config": {},
"storage_integration": "example",
"stage_name": "example",
"pipe_name": "example",
"target_table": "example",
"status": "example",
"error_message": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z",
"created_by": "example"
}
],
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}